Index: /palm/trunk/SOURCE/multi_agent_system_mod.f90
===================================================================
--- /palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 4752)
+++ /palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 4753)
@@ -2733,11 +2618,11 @@
        INTEGER(iwp), INTENT(in), OPTIONAL ::  size_in  !< size of input array
 
-       TYPE(agent_type), DIMENSION(10) :: tmp_agents_s !< temporary static agent array
-
-       TYPE(agent_type), DIMENSION(:), ALLOCATABLE :: tmp_agents_d !< temporary dynamic agent array
+       TYPE(agent_type), DIMENSION(10) :: tmp_agents_s  !< temporary static agent array
+
+       TYPE(agent_type), DIMENSION(:), ALLOCATABLE :: tmp_agents_d  !< temporary dynamic agent array
 
        old_size = SIZE(grid_agents(j,i)%agents)
 
-       IF ( PRESENT(size_in) )   THEN
+       IF ( PRESENT( size_in ) )  THEN
           new_size = size_in
        ELSE
@@ -2751,6 +2636,6 @@
           tmp_agents_s(1:old_size) = grid_agents(j,i)%agents(1:old_size)
 
-          DEALLOCATE(grid_agents(j,i)%agents)
-          ALLOCATE(grid_agents(j,i)%agents(new_size))
+          DEALLOCATE( grid_agents(j,i)%agents )
+          ALLOCATE( grid_agents(j,i)%agents(new_size) )
 
           grid_agents(j,i)%agents(1:old_size)         = tmp_agents_s(1:old_size)
@@ -2759,14 +2644,14 @@
        ELSE
 
-          ALLOCATE(tmp_agents_d(new_size))
+          ALLOCATE( tmp_agents_d(new_size) )
           tmp_agents_d(1:old_size) = grid_agents(j,i)%agents
 
-          DEALLOCATE(grid_agents(j,i)%agents)
-          ALLOCATE(grid_agents(j,i)%agents(new_size))
+          DEALLOCATE( grid_agents(j,i)%agents )
+          ALLOCATE( grid_agents(j,i)%agents(new_size) )
 
           grid_agents(j,i)%agents(1:old_size)         = tmp_agents_d(1:old_size)
           grid_agents(j,i)%agents(old_size+1:new_size) = zero_agent
 
-          DEALLOCATE(tmp_agents_d)
+          DEALLOCATE( tmp_agents_d )
 
        ENDIF
Index: /palm/trunk/SOURCE/multi_agent_system_mod.f90
===================================================================
--- /palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 4752)
+++ /palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 4753)
@@ -4028,5 +3884,5 @@
 !                ALLOCATE( sort_agents(start_index:end_index) )
 !
-!--             Determine number of agents already completed the LES 
+!--             Determine number of agents already completed the LES
 !--             timestep, and write them into a temporary array
 !                nf = start_index
@@ -4040,5 +3896,5 @@
 !                ENDDO
 !
-!--             Determine number of agents that not completed the LES 
+!--             Determine number of agents that not completed the LES
 !--             timestep, and write them into a temporary array
 !                nnf = nf
@@ -4054,6 +3910,6 @@
 !                                        sort_agents(start_index:end_index)
 !
-!--             Determine updated start_index, used to masked already 
-!--             completed agents. 
+!--             Determine updated start_index, used to masked already
+!--             completed agents.
 !                grid_agents(j,i)%start_index(nb) =                     &
 !                                   grid_agents(j,i)%start_index(nb)    &
@@ -4063,6 +3919,6 @@
 !                DEALLOCATE ( sort_agents )
 !
-!--             Finally, if number of non-completed agents is non zero 
-!--             in any of the sub-boxes, set control flag appropriately. 
+!--             Finally, if number of non-completed agents is non zero
+!--             in any of the sub-boxes, set control flag appropriately.
 !                IF ( nnf > nf )                                             &
 !                   grid_agents(j,i)%time_loop_done = .FALSE.
